# GOSe imputation for CENTER-TBI 

This repository contains the code for imputing the 6 months GOSe using
a multi-state model in CENTER-TBI.
Execution requires 

1. access to the CENTER-TBI Neurobot database at https://center-tbi.incf.org/ or
a manually downloaded data file according to the specification given below
2. a recent version of [R](https://www.r-project.org/) (4+)
3. (optionally) the [RStudio IDE](https://rstudio.com/products/rstudio/download/)
4. (optionally) the version control system [git](https://git-scm.com/) to 
easily download this repository to your local file system.

To get started, download the code and change into the repository folder.
Using git on a Unix system (Linux) this can be done via
```bash
git clone https://git.center-tbi.eu/kunzmann/gose-6mo-imputation-production.git
cd gose-6mo-imputation-production
```
Open this folder in Rstudio. This should activate the prepared 
R environment automatically. 
The required R environment can then be restored manually by invoking
```
install.packages("renv")
renv::restore(clean = TRUE, prompt = FALSE)
```
in an R console with working directory set to `[my-working-direcrtory]/gose-6mo-imputation-production` 
where `[my-working-direcrtory]` is the location on yur file system that you 
placed the repository in.
See the documentation for [renv](https://rstudio.github.io/renv/articles/renv.html)
in case of problems.

To execute the markdown file the recorded GOSe values are required 
in a .csv file named `tbl_gose.csv` in the same folder, i.e. `[my-working-direcrtory]/gose-6mo-imputation-production/tbl_gose.csv`.

The .csv file must contain the Neurobot variables 
```
subjectId
Outcomes.DerivedCompositeGOSE
Outcomes.DerivedCompositeGOSEDaysPostInjury
Subject.Age
Subject.PatientType
Subject.DeathDate
```
in exactly this order. 
At the time of writing this report the newest staging data set could be
accessed via the saved link `https://neurobot-stage.incf.org/_5f476d41eedb867816a10376`.

Finally, open the project in Rstudio, open the `imputation-report.Rmd` in
Rstudio and [knit](https://rmarkdown.rstudio.com/) it.
This produces a .html with a basic report and a `tbl_gose_imputed.csv` 
file with imputed values.

